weka.associations

## Enum DefaultAssociationRule.METRIC_TYPE

- java.lang.Object
- - java.lang.Enum<DefaultAssociationRule.METRIC_TYPE>
  - - weka.associations.DefaultAssociationRule.METRIC_TYPE

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DefaultAssociationRule.METRIC_TYPE>
  Enclosing class:
    DefaultAssociationRule

      public static enum DefaultAssociationRule.METRIC_TYPE
      extends java.lang.Enum<DefaultAssociationRule.METRIC_TYPE>

  Enum for holding different metric types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONFIDENCE`
    `CONVICTION`
    `LEVERAGE`
    `LIFT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `java.lang.String` | `toStringMetric(int premiseSupport, int consequenceSupport, int totalSupport, int totalTransactions)`
    `java.lang.String` | `toXML(int premiseSupport, int consequenceSupport, int totalSupport, int totalTransactions)`
    `static DefaultAssociationRule.METRIC_TYPE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DefaultAssociationRule.METRIC_TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONFIDENCE

          public static final DefaultAssociationRule.METRIC_TYPE CONFIDENCE

    - #### LIFT

          public static final DefaultAssociationRule.METRIC_TYPE LIFT

    - #### LEVERAGE

          public static final DefaultAssociationRule.METRIC_TYPE LEVERAGE

    - #### CONVICTION

          public static final DefaultAssociationRule.METRIC_TYPE CONVICTION

  - ### Method Detail

    - #### values

          public static DefaultAssociationRule.METRIC_TYPE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DefaultAssociationRule.METRIC_TYPE c : DefaultAssociationRule.METRIC_TYPE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DefaultAssociationRule.METRIC_TYPE valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<DefaultAssociationRule.METRIC_TYPE>`

    - #### toStringMetric

          public java.lang.String toStringMetric(int premiseSupport,
                                                 int consequenceSupport,
                                                 int totalSupport,
                                                 int totalTransactions)

    - #### toXML

          public java.lang.String toXML(int premiseSupport,
                                        int consequenceSupport,
                                        int totalSupport,
                                        int totalTransactions)